Visual Studio Multi Targeting Support

This time Microsoft is ready to battle with all guns up. In the past posts we have discussed the new features of Microsoft Visual Studio 2008 (aka Orcas). One of the big changes they are coming up with this release of Visual Studio is Multi Targeting Support.So, the first question arises into the mind is ‘What is Multi Targeting Support?’

Till the release of Visual Studio 2005, every release targeted a particular version of .Net. Like VS 2002 was for .Net 1.0, VS 2003 was for .Net 1.1 and VS 2005 for .Net 2.0 and later on supported .Net 3.0. VS 2008 by default targets .NET 3.5-but you can now select which .NET version you wish to target your code for at anytime-while creating the project or even during the development. Obviously, if you’re using a feature that an earlier version of .NET doesn’t support and you try to build using that platform, you will get an error. So what is .NET 3.5 anyway? This version is actually a stack built on the new features from .NET 3.0 and beyond-including things like the ASP.NET Ajax Framework and others (which we will discuss shortly). Full support for the core .NET 3.0 functionality is built in. That is, you can now develop WPF and WF apps in both design and source mode without requiring to install add-ons. A large number of project templates also allow you greater flexibility in choosing how you wish to develop and deploy your application-for instance, when creating a WPF application you can select whether to create a normal WPF application for Windows, an XBAP Browser Application or a Custom WPF Control library.